Skip to main content
POST
/
commerce
/
settings
/
subscription
/
subscriptionsettings
Error
A valid request URL is required to generate request examples
{
  "applyBestPriceOnContinuityOrder": true,
  "applyLatestItemPriceOnContinuityOrder": true,
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "continuityOrderDateOffset": 123,
  "nextOrderDateOffset": 123,
  "orderNowResetNextOrderDate": true,
  "pauseSubscriptionOffset": 123,
  "restrictOrderNowOffset": 123,
  "skipSubscriptionOffset": 123,
  "subscriptionOrderReminderOffset": 123,
  "subscriptionPauseLimitReminderOffset": 123,
  "subscriptionPausedReminderOffset": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Subscription settings defined or this site

applyBestPriceOnContinuityOrder
boolean | null
applyLatestItemPriceOnContinuityOrder
boolean | null

If this setting is enabled, the item price on the continuity order will be updated to the current price upon creation.

auditInfo
object
continuityOrderDateOffset
integer<int32>

Specifies the number of days before the next order date to create the continuity order.

nextOrderDateOffset
integer<int32> | null

Specifies the number of days to update the next order date from existing next order date.

orderNowResetNextOrderDate
boolean | null

Specifies if order now action resets next order date

pauseSubscriptionOffset
integer<int32> | null

Specifies the number of continuity orders should be placed before activating the subscription.

restrictOrderNowOffset
integer<int32> | null

Specifies the number of days, order all items now or order partial items now actions cannot be repeated from the last action.

skipSubscriptionOffset
integer<int32> | null

Specifies the number of times the subscription can be skipped

subscriptionOrderReminderOffset
integer<int32> | null

Specifies the number of days to send subscription order reminder email before the next continuity order.

subscriptionPauseLimitReminderOffset
integer<int32> | null

Specifies the number of days prior to when we need to send a "subscription pause limit reached reminder" email before the pause limit is reached.

subscriptionPausedReminderOffset
integer<int32> | null

Specifies the number of days to send subscription paused reminder email.

Response

Success

Subscription settings defined or this site

applyBestPriceOnContinuityOrder
boolean | null
applyLatestItemPriceOnContinuityOrder
boolean | null

If this setting is enabled, the item price on the continuity order will be updated to the current price upon creation.

auditInfo
object
continuityOrderDateOffset
integer<int32>

Specifies the number of days before the next order date to create the continuity order.

nextOrderDateOffset
integer<int32> | null

Specifies the number of days to update the next order date from existing next order date.

orderNowResetNextOrderDate
boolean | null

Specifies if order now action resets next order date

pauseSubscriptionOffset
integer<int32> | null

Specifies the number of continuity orders should be placed before activating the subscription.

restrictOrderNowOffset
integer<int32> | null

Specifies the number of days, order all items now or order partial items now actions cannot be repeated from the last action.

skipSubscriptionOffset
integer<int32> | null

Specifies the number of times the subscription can be skipped

subscriptionOrderReminderOffset
integer<int32> | null

Specifies the number of days to send subscription order reminder email before the next continuity order.

subscriptionPauseLimitReminderOffset
integer<int32> | null

Specifies the number of days prior to when we need to send a "subscription pause limit reached reminder" email before the pause limit is reached.

subscriptionPausedReminderOffset
integer<int32> | null

Specifies the number of days to send subscription paused reminder email.